import { Either, Left, Right } from '../types';
export declare const tryCatch: <A>(tryFn: () => A | Either<Error, A>, catchFn: (e: any) => Error | Either<Error, A>) => Either<Error, A>;
declare type EitherPartition<E, A> = [Left<E, A>[], Right<E, A>[]];
export declare const partition: <E, A>(array: Either<E, A>[]) => EitherPartition<E, A>;
export {};
